jQuery(document).ready(function($){
/*Image hover*/
	$('.proj-img').hover(function() {
		$(this).find('i').stop().animate({
			opacity: 0.9
		}, 'fast');
		$(this).find('a').stop().animate({
			"top": "50%"
		});
	}, function() {
		$(this).find('i').stop().animate({
			opacity: 0
		}, 'fast');
		$(this).find('a').stop().animate({
			"top": "-30px"
		});
	});

/*prettyPhoto*/
    $("a[class^='prettyPhoto']").prettyPhoto({
        theme: 'light_rounded'
    });

/*tipSwift*/
	$('.totop').tipSwift({
		gravity: $.tipSwift.gravity.autoWE,
		live: true,
		plugins: [$.tipSwift.plugins.tip({
			offset: 8,
			gravity: 's',
			opacity: 1
		})]
	});

/*ScrollTo*/
	$('.totop').click(function(e){
		$.scrollTo( this.hash || 0, 1000);
		e.preventDefault();
	});
	$('.accordion.works1 li a.title').click(function(e){
		$.scrollTo( $(this).parent('li').parent('ul'), 600);
		e.preventDefault();
	});
	$('a.null').click(function(e){
		$.scrollTo( $('.comments-list'), 600);
		e.preventDefault();
	});

/*Portfolio*/

    $(document).ready(function(){

        var items = $('#stage li'),
            itemsByTags = {};

        // Looping though all the li items:

        items.each(function(i){
            var elem = $(this),
                tags = elem.data('tags').split(',');

            // Adding a data-id attribute. Required by the Quicksand plugin:
            elem.attr('data-id',i);

            $.each(tags,function(key,value){

                // Removing extra whitespace:
                value = $.trim(value);

                if(!(value in itemsByTags)){
                    // Create an empty array to hold this item:
                    itemsByTags[value] = [];
                }

                // Each item is added to one array per tag:
                itemsByTags[value].push(elem);
            });

        });

        // Creating the "Everything" option in the menu:
        createList('All',items);

        // Looping though the arrays in itemsByTags:
        $.each(itemsByTags,function(k,v){
            createList(k,v);
        });

        $('#filter a').live('click',function(e){
            var link = $(this);

            link.addClass('active').siblings().removeClass('active');

            // Using the Quicksand plugin to animate the li items.
            // It uses data('list') defined by our createList function:

            $('#stage').quicksand(link.data('list').find('li'), function() {$("a[class^='prettyPhoto']").prettyPhoto(); });
            e.preventDefault();
        });



        $('#filter a:first').click();
        
        if(window.location.hash) {
            var anchor = window.location.hash;
            anchor = anchor.substring(1,anchor.length); // delete the #
            // run code here to filter the quicksand set
            var filteredData = $('#filter a').data('list').find('li[data-tags=' + anchor + ']');
            $('#stage').quicksand(filteredData, function() {$("a[class^='prettyPhoto']").prettyPhoto(); });
        }

        function createList(text,items){

            // This is a helper function that takes the
            // text of a menu button and array of li items

            // Creating an empty unordered list:
            var ul = $('<ul>',{'class':'hidden'});

            $.each(items,function(){
                // Creating a copy of each li item
                // and adding it to the list:

                $(this).clone().appendTo(ul);
            });

            ul.appendTo('#container');

            // Creating a menu item. The unordered list is added
            // as a data parameter (available via .data('list'):

            var a = $('<a>',{
                html: text,
                href:'#',
                data: {list:ul}
            }).appendTo('#filter');
        }
    });
 });
